%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name fusor_ui

%global foreman_dir /usr/share/foreman
%global foreman_bundlerd_dir %{foreman_dir}/bundler.d

Summary: Fusor Plugin
Name: %{?scl_prefix}rubygem-%{gem_name}

Version: 1.0.9.1
Release: 1%{?dist}
Group: Development/Ruby
License: Distributable
URL: https://github.com/fusor/fusor
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem

%if ( 0%{?fedora} > 18 || 0%{?rhel} >= 7 ) && "%{?scl}" != "ruby193"
Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
%else
Requires: %{?scl_prefix}ruby(abi)
Requires: %{?scl_prefix}ruby(rubygems)
BuildRequires: %{?scl_prefix}ruby(abi)
BuildRequires: %{?scl_prefix}rubygems-devel
%endif

BuildRequires: %{?scl_prefix}rubygem-fusor_server
Requires: %{?scl_prefix}rubygem-fusor_server

# Hack so we may try to work with a stable katello 2.0 which requires foreman 1.6
Requires: foreman >= 1.6.0
BuildRequires: foreman >= 1.6.0
BuildRequires: foreman-assets >= 1.6.0
%if "%{?scl}" == "tfm"
BuildRequires: foreman-plugin >= 1.11.0
%endif 

BuildArch: noarch
Provides: %{?scl_prefix}rubygem(fusor_ui) = %{version}

%description
Fusor Plugin

%package doc
BuildArch:  noarch
Requires:   %{?scl_prefix}%{pkg_name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

mkdir -p %{buildroot}%{foreman_dir}/public/assets

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{gem_instdir}/
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_dir}/%{gem_name}.rb
%{foreman_assets_plugin}

%files doc
%{gem_dir}/doc/%{gem_name}-%{version}

%changelog
* Wed Nov 16 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.9.1-1
- Update Ember assets. (chris@chasenc.com)
- bump rpm versions to avoid collisions (jesusr@redhat.com)

* Thu Sep 08 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.9-1
- Build and update Ember assets. (chris@chasenc.com)

* Thu Sep 01 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.8-1
- Build and update Ember assets. (chris@chasenc.com)

* Tue Aug 30 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.7-1
- Build and update Ember assets. (chris@chasenc.com)
- 1369172 Update the RAM for RHV+CFME deployment on the downloaded txt file (johnkim76@gmail.com)
- Build and update Ember assets. (#1196) (cfc@chasenc.com)

* Sat Aug 27 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.6-1
- Assets update (#1191) (erik@nsk.io)

* Fri Aug 26 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.5-1
- update the QCI requirement files (johnkim76@gmail.com)
- 1369172 - Link to different versions of QCI_Requirements based on options selected. (chris@chasenc.com)

* Tue Aug 23 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.4-1
- Build and update Ember assets. (chris@chasenc.com)
- 1368135 - Reset scrollbar after routing from SMA selection (#1179)
* Thu Aug 18 2016 Jason Montleon <jmontleo@redhat.com> 1.0.3-1
- Update assets (#1168) (erik@nsk.io)

* Tue Aug 16 2016 John Matthews <jwmatthews@gmail.com> 1.0.2-1
- Updated assets (jwmatthews@gmail.com)

* Thu Aug 11 2016 jesus m. rodriguez <jesusr@redhat.com> 1.0.1-1
- Use Version tagger and version template (#1152) (jmrodri@gmail.com)
- add css class .pficon-virtual-machine + @font-face for PatternFlyIcons v2.10
  (jmagen@redhat.com)

* Tue Aug 09 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-27
- Updated assets 8/9 (jwmatthews@gmail.com)

* Mon Aug 08 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-26
- Build and update Ember assets. (chris@chasenc.com)

* Fri Aug 05 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-25
- Build and update Ember assets. (#1130) (cfc@chasenc.com)
- Build and update Ember assets. (#1128) (cfc@chasenc.com)

* Thu Aug 04 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-24
- add fusor_server build requires (jmontleo@redhat.com)

* Mon Aug 01 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-23
- Updated assets (jwmatthews@gmail.com)

* Thu Jul 28 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-22
- Updated assets (jwmatthews@gmail.com)
- add dependencies to fusor_server and fusor_ui gemspecs (#1037)
  (jmagen@redhat.com)

* Wed Jul 27 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-21
- Automatic commit of package [rubygem-fusor_ui] minor release [1.0.0-20].
  (jwmatthews@gmail.com)

* Fri Jul 22 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-20
- Update assets (#1085) (erik@nsk.io)

* Fri Jul 22 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-19
- rpmdiff: expected ?dist got dist (#1080) (jmrodri@gmail.com)

* Thu Jul 21 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-18
- Revert "1354470 - Disable Turbolinks to fix the back button in Ember."
  (chris@chasenc.com)
- Revert "Add application js to precompile list" (chris@chasenc.com)

* Thu Jul 21 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-17
- Add application js to precompile list (jmontleo@redhat.com)

* Wed Jul 20 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-16
- Updated assets 7/20/16 (jwmatthews@gmail.com)
- 1357054 - fix word on QCI requirements that username will be an org admin
  (jmagen@redhat.com)
- 1353236 - Updated RHEV > RHV in Web UI (dwhatley@redhat.com)
- 1354470 - Disable Turbolinks to fix the back button in Ember.
  (chris@chasenc.com)

* Mon Jul 18 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-15
- Updated assets (jwmatthews@gmail.com)

* Mon Jul 11 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-14
- Add public/**/* to fusor_ui.gemspec (erik@nsk.io)

* Mon Jul 11 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-13
- Update fusor_ui assets (erik@nsk.io)
- remove asset links (jmontleo@redhat.com)
- Restructure UI static to lib underneath public (erik@nsk.io)

* Thu Jul 07 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-12
- Updated assets (jwmatthews@gmail.com)

* Thu Jul 07 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-11
- 

* Tue Jul 05 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-10
- Updated assets (jwmatthews@gmail.com)

* Fri Jun 24 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-9
- Compile ember assets. (chris@chasenc.com)

* Thu Jun 23 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-8
- Built assets on 6/23 (jwmatthews@gmail.com)
- Remove redundant QCI_Requirements.txt files (erik@nsk.io)
- 1334502 - Fix broken "Download these requirements" link (erik@nsk.io)

* Mon Jun 13 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-7
- Updated assets for 6/13 (jwmatthews@gmail.com)

* Wed Jun 08 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-6
- Updated assets 6/8/2016 (jwmatthews@gmail.com)

* Fri Jun 03 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-5
- Compile assets. (chris@chasenc.com)

* Thu Jun 02 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-4
- Check in compiled assets. (chris@chasenc.com)

* Tue May 31 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-3
- 

* Tue May 31 2016 John Matthews <jwmatthews@gmail.com> 1.0.0-2
- Updated assets (jwmatthews@gmail.com)

* Tue May 17 2016 Jason Montleon <jmontleo@redhat.com> 1.0.0-1
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)
- Bump gem and rpm versions to 1.0.0 (jmontleo@redhat.com)
- Add Rhev-self-hosted (fabian@fabianism.us)

* Wed May 11 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-13
- Update assets with abandon-depl-modal fix (erik@nsk.io)

* Wed May 11 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-12
- Built assets as of 5/11 (jwmatthews@gmail.com)

* Fri May 06 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-11
- 

* Thu Apr 28 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-10
- Additional updates for Satellite 6.2 (jmontleo@redhat.com)
- Update compiled assets for OSE. (jinmaster923@gmail.com)
- Compiled assets for OSE work. (jinmaster923@gmail.com)
- Added images for openshift to 'ui' (jwmatthews@gmail.com)

* Tue Apr 05 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-9
- bump ui gem version (jmontleo@redhat.com)

* Tue Apr 05 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-8
- update rpm specs and releasers (jmontleo@redhat.com)
- Additional updates for Satellite 6.2 (jmontleo@redhat.com)

* Mon Apr 04 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-7
- Additional updates for Satellite 6.2 (jmontleo@redhat.com)
- Compile assets. (chris@chasenc.com)

* Thu Mar 24 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-6
- Revert "copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets" (jmontleo@redhat.com)

* Thu Mar 24 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-5
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)
- create and update deployment using strong params (jmontleo@redhat.com)
- create and update deployment using strong params (jmontleo@redhat.com)

* Wed Mar 23 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-4
- fix r asset path in files (jmontleo@redhat.com)

* Wed Mar 23 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-3
- create and update deployment using strong params (jmontleo@redhat.com)
- Compiled UI assets after merging master into develop. (chris@chasenc.com)
- Compiled assets. (chris@chasenc.com)
- Compiled assets. (chris@chasenc.com)
- Rebuilt assets for assign-nodes loading spinner changes. (chris@chasenc.com)
- Rebuilt assets to pick up PR724 (jwmatthews@gmail.com)
- Fixed RHCI Deployment log to read QCI Deployment log. (chris@chasenc.com)
- Fixed osp to refresh when leaving register nodes page. (chris@chasenc.com)
- Updated assets as of 3/15/2016 (jwmatthews@gmail.com)
- Updated assets from PR 715 (jwmatthews@gmail.com)
- OSP Node registration small fixes - give delete icon more room on right -
  close delete node modal immediately - fix cancel/rescan glitch
  (chris@chasenc.com)
- Updated assets 3/14/16 (jwmatthews@gmail.com)
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (chris@chasenc.com)
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (chris@chasenc.com)
- Added CSV support to OSP node registration. (chris@chasenc.com)
- Updates for Satellite 6.2 (jmontleo@redhat.com)
- Updated assets from 3/7/2016 (jwmatthews@gmail.com)
- rebrand to 'Quickstart Cloud Installer' (jmagen@redhat.com)

* Fri Mar 04 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-2
- bump gem version (jmontleo@redhat.com)

* Fri Mar 04 2016 Jason Montleon <jmontleo@redhat.com> 0.0.2-1
- fix ui engine.rb for rails 4 (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-109
- add foreman-plugin BuildRequire for newer builds (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-108
- fix (build)requires for new scl (jmontleo@redhat.com)

* Wed Mar 02 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-107
- update buildrequires (jmontleo@redhat.com)

* Thu Feb 04 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-106
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)
- 1300821 - Invert virtual machine icon on selected hypervisors. Moved inline
  styles to css file. (chris@chasenc.com)

* Thu Jan 28 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-105
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (chris@chasenc.com)

* Thu Jan 28 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-104
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Wed Jan 27 2016 Jason Montleon <jmontleo@redhat.com> 0.0.1-103
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)

* Fri Jan 22 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-102
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Fri Jan 22 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-101
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Thu Jan 21 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-100
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)
- Fix 1287089 - if on Katello/Angular page, link for List of Deployments
  incorrectly goes to New Deployment page (jmagen@redhat.com)

* Thu Jan 14 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-99
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)
- add gemspec descriptions for /ui and /server (jmagen@redhat.com)

* Thu Jan 07 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-98
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Thu Jan 07 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-97
- 

* Thu Jan 07 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-96
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Wed Jan 06 2016 John Matthews <jwmatthews@gmail.com> 0.0.1-95
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Thu Dec 17 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-94
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (chris@chasenc.com)

* Thu Dec 17 2015 Jason Montleon <jmontleo@redhat.com>
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (chris@chasenc.com)

* Wed Dec 16 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-92
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)

* Mon Dec 14 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-91
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)

* Fri Dec 04 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-90
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (chris@chasenc.com)

* Wed Nov 25 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-89
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)

* Tue Nov 24 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-88
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmontleo@redhat.com)
- fix ui/assets that were broken (jmagen@redhat.com)

* Thu Nov 19 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-87
- fix files replaced by links (jmontleo@redhat.com)

* Thu Nov 19 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-86
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Fri Nov 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-85
- 

* Mon Nov 02 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-84
- Updated ui assets (jwmatthews@gmail.com)

* Wed Oct 21 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-83
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Mon Oct 19 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-82
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Thu Oct 15 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-81
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Tue Oct 06 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-80
- Automatic commit of package [rubygem-fusor_ui] minor release [0.0.1-79].
  (jwmatthews@gmail.com)

* Fri Oct 02 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-79
- Updating assets from fusor-ember-cli as of 10/2/15 (jwmatthews@gmail.com)

* Tue Sep 15 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-78
- Compiled assests to test a new RPM build (jwmatthews@gmail.com)

* Mon Sep 14 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-77
- Cleaning up more code with rubocop (daviddavis@redhat.com)
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Fri Aug 28 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-76
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Thu Aug 27 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-75
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Wed Aug 26 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-74
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Wed Aug 26 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-73
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Tue Aug 25 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-72
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Mon Aug 24 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-71
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jwmatthews@gmail.com)

* Fri Aug 21 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-70
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Thu Aug 20 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-69
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Wed Aug 12 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-68
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Mon Aug 10 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-67
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Fri Aug 07 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-66
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Fri Aug 07 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-65
- 

* Thu Aug 06 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-64
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Wed Aug 05 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-63
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Tue Aug 04 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-62
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Mon Aug 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-61
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Thu Jul 30 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-60
- Merge remote-tracking branch 'upstream/master' into RHCI-6
  (jwmatthews@gmail.com)
- copy minified assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Wed Jul 29 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-59
- Merge remote-tracking branch 'upstream/master' into RHCI-6
  (jwmatthews@gmail.com)
- remove override of DashboardController that forced redirecting to start
  screen (jmagen@redhat.com)

* Wed Jul 22 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-58
- Updated to latest from upstream

* Thu Jul 09 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-57
- fixed spelling error in file name rhci-item.hbs (jmagen@redhat.com)
- update compiled FusorUI assets (jmagen@redhat.com)
- refactoring per jshints, regenerate default tests, add needs: [elements] for
  each test to pass (jmagen@redhat.com)

* Mon Jun 15 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-56
- if deployment isStarted, do not appended domain to hostname
  (jmagen@redhat.com)

* Mon Jun 15 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-55
- fix override welcome to redirect to installer (jmagen@redhat.com)

* Mon Jun 15 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-54
- update FusorUI assets (jmagen@redhat.com)
- default CFME start page to true and redirect Sat6 welcome page to start page
  (jmagen@redhat.com)

* Sun Jun 14 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-53
- last commit before freeze - disable/enable select-selections,
  autocomplete=off for password, engine not selected placeholder
  (jmagen@redhat.com)
- Merge pull request #189 from isratrade/redirect-to-installer
  (jmagen@redhat.com)
- redirect to fusor installer page (jmagen@redhat.com)
- review page - change collapse/expand arrows, bold labels, increase size of
  product names (jmagen@redhat.com)

* Sat Jun 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-52
- installation summary page (jmagen@redhat.com)

* Fri Jun 12 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-51
- revert back and show disabled New Organization, Local, Gluster
  (jmagen@redhat.com)
- button on progress page is Deploying ... and then changes to View Deployments
  when finished (jmagen@redhat.com)

* Thu Jun 11 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-50
- change CPU Type to dropdown, change wording on select subscritions, and other
  small UI fixes (jmagen@redhat.com)
- fix bug where new deployment was disabled (jmagen@redhat.com)
- Attach subscriptions and then Deploy, plus CSS fixes, removed Skip Content
  option, and hid error messages after returning to route (jmagen@redhat.com)

* Wed Jun 10 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-49
- CSS per Robb's design, move cancel-back-next, and other fixes
  (jmagen@redhat.com)
- fix calculation of quantity of subscriptions already attached and available
  and validate quantity to attach (jmagen@redhat.com)

* Tue Jun 09 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-48
- set default RHEV values in webUI (jmagen@redhat.com)
- fix bug where Satellite step wasn't blue for new deployments
  (jmagen@redhat.com)

* Mon Jun 08 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-47
- more storage name from 2D to 2E and change to data domain name
  (jmagen@redhat.com)

* Mon Jun 08 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-46
- update FusorUI assets (jmagen@redhat.com)
- Don't enable next step until previous step has all valid data
  (jmagen@redhat.com)
- disabled all wizard input fields after deployment is started
  (jmagen@redhat.com)
- fix to lifecycle environment. useDefaultOrgViewForEnv was checked for
  existing deployments when it should not (jmagen@redhat.com)
- button to delete deployment if it's not yet been deployed (jmagen@redhat.com)
- ensure isAuthenticated is true to customer portal, or else show login screen
  (jmagen@redhat.com)
- another fix to default to Library lifecycle environment (jmagen@redhat.com)

* Fri Jun 05 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-45
- Connected rhev export domain options to deployment controller
  (jwmatthews@gmail.com)
- rhev hypervisor naming convention and patternfly table style
  (jmagen@redhat.com)

* Thu Jun 04 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-44
- fix regression on useDefaultOrgViewForEnv (jmagen@redhat.com)

* Wed Jun 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-43
- added momentjs to format subscription dates (jmagen@redhat.com)

* Tue Jun 02 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-42
- update all spinners to use patternfly style rather than font-awesome
  (jmagen@redhat.com)
- disable options rather than hide on CFME where to install (jmagen@redhat.com)
- fix bug on useDefaultOrgViewForEnv (jmagen@redhat.com)

* Mon Jun 01 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-41
- Disable RHEL-OSP Product selection in UI for demo (jmagen@redhat.com)
- remove Vendor column on table for Engine or Hypervisors (jmagen@redhat.com)
- show UI message No subscriptions found (jmagen@redhat.com)
- 1222689 - only show first env off library (jmagen@redhat.com)
- refactor CSS to only use fusor-related CSS and not pull in patternfly
  (jmagen@redhat.com)

* Mon Jun 01 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-40
- Change Next button to Logging in ... and disable it when user is waiting for
  login response (jmagen@redhat.com)

* Mon Jun 01 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-39
- add back buttons to steps 1A, 3A, and 3C (jmagen@redhat.com)
- fix default RHEV Storage to NFS (jmagen@redhat.com)

* Fri May 29 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-38
- fix default RHEV Storage to NFS (jmagen@redhat.com)

* Fri May 29 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-37
- fix default RHEV Storage to NFS (jmagen@redhat.com)

* Thu May 28 2015 Jason Montleon <jmontleo@redhat.com> 0.0.1-36
- Merge remote-tracking branch 'upstream/master' into RHCI-6
  (jmontleo@redhat.com)
- add Subscriptions to Review Summary (jmagen@redhat.com)
- check if organization already has a subscription manifest uploaded and show
  UI message (jmagen@redhat.com)
- add RHEV export domain if CFME selected and disabled options Local and
  Gluster for RHEV storage (jmagen@redhat.com)
- wizard step 2D should be 2C if self-hosted (jmagen@redhat.com)
- For existing deployments, 'Use Default Organization View' should show checked
  if lifecycle_environment_id is nil (jmagen@redhat.com)
- add rcue-rdom.scss to /app/styles and remove previous code
  /app/styles/downstream (jmagen@redhat.com)
- add fields to hypervisors/engines, host type, vendor, # disks, disk space,
  network (jmagen@redhat.com)
- show red * in webUI for required fields (jmagen@redhat.com)

* Tue May 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-35
- fixed link-to error (jmagen@redhat.com)

* Tue May 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-34
- downgrade to ember-cli-0.2.3 and EmberJS-1.11 (jmagen@redhat.com)

* Tue May 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-33
- update FusorUI compiled assets (jmagen@redhat.com)

* Tue May 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-32
- save upstream_consumer_uuid attribute for deployment (jmagen@redhat.com)

* Tue May 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-31
- 1222693 - Navigation to RHCI pages does not work properly from some areas of
  Sat 6 ui (jmagen@redhat.com)
- remove ember-disable-proxy-controllers to fix error (jmagen@redhat.com)

* Mon May 18 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-30
- Merge remote-tracking branch 'upstream/master' into RHCI-6
  (jwmatthews@gmail.com)
- updated UI assets from subscriptions branch (jmagen@redhat.com)

* Mon May 18 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-29
- 

* Wed May 13 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-28
- add root password in UI for RHEV and CFME hosts (jmagen@redhat.com)

* Tue May 12 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-27
- Merge remote-tracking branch 'upstream/master' into RHCI-6
  (jwmatthews@gmail.com)
- autoselect organization if only one exists (jmagen@redhat.com)
- fix create new lifecycle environment (jmagen@redhat.com)

* Wed May 06 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-26
- fix enable/disable Next button on Lifecycle Environment Tab
  (jmagen@redhat.com)

* Wed May 06 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-25
- Merge remote-tracking branch 'upstream/master' into RHCI-6
  (jwmatthews@gmail.com)
- temporarily enable Next on Lifecycle Environment Tab (jmagen@redhat.com)

* Tue May 05 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-24
- server/app/models/fusor/deployment.rb (jmagen@redhat.com)
- 1215785 - do not enable Deploy button if missing required fields and show
  validation messages on Review tab (jmagen@redhat.com)
- remove db attribute rhev_engine_hostname (jmagen@redhat.com)
- add DEV ONLY option to skip_content: true (jmagen@redhat.com)
- added progress bar to Review Progress along with details of Dynflow Task
  (jmagen@redhat.com)

* Wed Apr 22 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-23
- Merge remote-tracking branch 'upstream/master' into RHCI-6
  (jwmatthews@gmail.com)
- added foreman tasks URL to progress template after deploy button
  (jmagen@redhat.com)
- Merge pull request #85 from fusor/no-deployments (jmagen@redhat.com)
- fix error if there are no deployments (jmagen@redhat.com)
- Automatic commit of package [rubygem-fusor_ui] minor release [0.0.1-20].
  (jmontleo@redhat.com)

* Wed Apr 15 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-22
- updated FusorUI assets (jmagen@redhat.com)

* Thu Apr 09 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-21
- Automatic commit of package [rubygem-fusor_ui] minor release [0.0.1-20].
  (jwmatthews@gmail.com)
- fix issues with enabling/disabling buttons and tabs (jmagen@redhat.com)
- add unique css id selector per form field (jmagen@redhat.com)
- persist hostnames for discovered hosts for engine and hypervisors when
  changed (jmagen@redhat.com)

* Thu Apr 09 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-20
-

* Mon Apr 06 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-19
- update FusorUI assets (jmagen@redhat.com)

* Mon Apr 06 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-18
- error handling on deploy button, disable it on click, and change title to
  Deploying ... (jmagen@redhat.com)

* Fri Apr 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-17
- add foreman tasks URL to progress template after clicking deploy
  (jmagen@redhat.com)

* Thu Apr 02 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-16
- update FusorUI assets (jmagen@redhat.com)

* Thu Apr 02 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-15
- dynamic assign route for next tab after RHEV (jmagen@redhat.com)
- default start wizard to RHEV only (jmagen@redhat.com)
- add option isSubscriptions to hide subscriptions tab (jmagen@redhat.com)
- update READMEs for FusorEmberCli and FusorUI (jmagen@redhat.com)
- fix css compilation error - comment out css code for ember-cli development
  use only (jmagen@redhat.com)

* Wed Apr 01 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-14
- deploy button calls PUT deploy action (jmagen@redhat.com)
- fixed /deployments redirecting to /deployments/new when it shoudn't
  (jmagen@redhat.com)
- changes per new wireframes (jmagen@redhat.com)

* Tue Mar 31 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-13
- add csrf token when saving Hypervisors that doesn't use Ember-Data
  (jmagen@redhat.com)

* Tue Mar 31 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-12
- revert csrf-param to csrf-token selector (jmagen@redhat.com)
- fix hypervisor next button (jmagen@redhat.com)
- copy compiled assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)
- add permission to Fusor and FusorUI (jmagen@redhat.com)

* Mon Mar 30 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-11
- copy compiled assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)

* Mon Mar 30 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-10
- Copied updated files from fusor-ember-cli (jwmatthews@gmail.com)

* Mon Mar 30 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-9
- Fixes CSRF issue


* Fri Mar 27 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-8
- Updates from fusor-ember-cli (jwmatthews@gmail.com)
- change FusorUI menu to from Fusor to RHCI Installer (jmagen@redhat.com)
- copy compiled assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)
- change asset path back from /ui to /fuser_ui in engine.rb (jmagen@redhat.com)
- fixed precompile assets paths for in FusorUI engine.rb (jmagen@redhat.com)
- copy compiled assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (jmagen@redhat.com)
- Spec file update to trigger asset precompilation, still need updates to
  source code so it will precompile successfully. (jwmatthews@gmail.com)
- fix images, fonts, and css so ember-cli code works correctly as plugin
  (jmagen@redhat.com)

* Thu Mar 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-7
- Updating ui directory to match latest code in fusor-ember-cli
  (jwmatthews@gmail.com)
- Changes so fusor_ui RPM may build (jwmatthews@gmail.com)
- create/edit deployments and persist in database (joseph@isratrade.co.il)
- copy compiled assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (joseph@isratrade.co.il)
- FusorUI fixes and refactoring (joseph@isratrade.co.il)
- Merge pull request #14 from fusor/develop-pr (jmagen@redhat.com)
- copy compiled assets from fusor-ember-cli/dist to FusorUI gem at
  fusor/ui/app/assets (joseph@isratrade.co.il)
- README changes (joseph@isratrade.co.il)

* Tue Feb 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-6
- Hack to allow us to try to work with a stable Katello 2.0 which requires
  Foreman 1.6 (jwmatthews@gmail.com)

* Mon Feb 02 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-5
-

* Tue Jan 27 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-4
-

* Tue Jan 27 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-3
- new package built with tito

* Tue Jan 27 2015 John Matthews <jwmatthews@gmail.com> 0.0.1-2
- new package built with tito


